Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.bytecode.util
Class AnnotatedTraceMethodVisitor

    java.lang.Object
      org.objectweb.asm.util.AbstractVisitor
          org.objectweb.asm.util.TraceAbstractVisitor
              org.objectweb.asm.util.TraceMethodVisitor
                  com.saxonica.bytecode.util.AnnotatedTraceMethodVisitor

All Implemented Interfaces:
  org.objectweb.asm.MethodVisitor

    public class AnnotatedTraceMethodVisitor

extends org.objectweb.asm.util.TraceMethodVisitor

Subclass of the TraceMethodVisitor to customize the bytecode listings

Field Summary

Fields inherited from class org.objectweb.asm.util.TraceMethodVisitor
`labelNames, ltab, mv, tab2, tab3`

Fields inherited from class org.objectweb.asm.util.TraceAbstractVisitor
`CLASS_DECLARATION, CLASS_SIGNATURE, FIELD_DESCRIPTOR, FIELD_SIGNATURE, INTERNAL_NAME, METHOD_DESCRIPTOR, METHOD_SIGNATURE, PARAMETERS_DECLARATION, tab, TYPE_DECLARATION`

Fields inherited from class org.objectweb.asm.util.AbstractVisitor
`buf, OPCODES, text, TYPES`

Constructor Summary
`AnnotatedTraceMethodVisitor()`

Method Summary
`protected void` | `appendLabel(org.objectweb.asm.Label l)` Appends the name of the given label to `buf`.

Methods inherited from class org.objectweb.asm.util.TraceMethodVisitor
`visitAnnotation, visitAnnotationDefault, visitAttribute, visitCode, visitEnd, visitFieldInsn, visitFrame, visitIincInsn, visitInsn, visitIntInsn, visitJumpInsn, visitLabel, visitLdcInsn, visitLineNumber, visitLocalVariable, visitLookupSwitchInsn, visitMaxs, visitMethodInsn, visitMultiANewArrayInsn, visitParameterAnnotation, visitTableSwitchInsn, visitTryCatchBlock, visitTypeInsn, visitVarInsn`

Methods inherited from class org.objectweb.asm.util.TraceAbstractVisitor
`appendDescriptor, createTraceAnnotationVisitor`

Methods inherited from class org.objectweb.asm.util.AbstractVisitor
`appendString, getDefaultAttributes, getText, print`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotatedTraceMethodVisitor

    public AnnotatedTraceMethodVisitor()

Method Detail

### appendLabel

    protected void appendLabel(org.objectweb.asm.Label l)

  Appends the name of the given label to `buf`. Creates a new label name if the given label does not yet have one.

  Overrides:
    `appendLabel` in class `org.objectweb.asm.util.TraceMethodVisitor`
  Parameters:
    `l` - a label.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.